For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiry Templates
      • GETRetrieve an Inquiry Template
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiry Templates

Retrieve an Inquiry Template

GET
https://api.withpersona.com/api/v1/inquiry-templates/:inquiry-template-id
GET
/api/v1/inquiry-templates/:inquiry-template-id
$curl https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "itmpl_ABC123",
4 "attributes": {
5 "name": "Basic KYC verification flow",
6 "status": "active",
7 "embedded-flow-domain-allowlist": [
8 "example.com",
9 "app.example.com"
10 ],
11 "hosted-flow-subdomains": [
12 "mycompanyname"
13 ],
14 "hosted-flow-redirect-uri-schemes": [
15 "https",
16 "http"
17 ],
18 "field-schemas": [
19 {
20 "type": "string",
21 "config": {
22 "archived-at": null,
23 "deactivated-at": null,
24 "max-char-length": 255,
25 "required": false,
26 "sanitize": []
27 },
28 "key": "name_first",
29 "label": "First Name"
30 },
31 {
32 "type": "date",
33 "config": {
34 "archived-at": null,
35 "deactivated-at": null,
36 "max-date": null,
37 "min-date": null,
38 "required": false
39 },
40 "key": "birthdate",
41 "label": "Birthdate"
42 }
43 ]
44 },
45 "relationships": {
46 "latest-published-version": {
47 "data": {
48 "type": "inquiry-template-version",
49 "id": "itmplv_XYZ789"
50 }
51 }
52 },
53 "type": "inquiry-template"
54 }
55}

Retrieves details of a specific Inquiry Template by ID.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API.

Was this page helpful?
Previous

List Items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-template-idstringRequired
Inquiry Template ID

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns an Inquiry Template object.
dataobject
An Inquiry Template object
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.